org.apache.tinkerpop.gremlin.process.traversal

## Interface TraversalEngine

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    ComputerTraversalEngine, StandardTraversalEngine

  Deprecated.
  As of release 3.2.0, replaced by `Computer`.

      @Deprecated
      public interface TraversalEngine
      extends Serializable

  A TraversalEngine is reponsible for executing a `Traversal`. There are two `TraversalEngine.Type`s of TraversalEngines. `TraversalEngine.Type.STANDARD` is the OLTP, iterator-based model of graph traversal. `TraversalEngine.Type.COMPUTER` is the OLAP, message passing model of graph traversal. Every `TraversalSource` should be provided a `TraversalEngine.Builder` so it can construct an engine for each spawned `Traversal`.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TraversalEngine.Builder` Deprecated.
    `static class` | `TraversalEngine.Type` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<GraphComputer>` | `getGraphComputer()` Deprecated. If the traversal engine is of type `TraversalEngine.Type.COMPUTER`, then it should have the `GraphComputer` used for executing the traversal.
    `TraversalEngine.Type` | `getType()` Deprecated. Get the type of the engine: `TraversalEngine.Type.STANDARD` or `TraversalEngine.Type.COMPUTER`.
    `default boolean` | `isComputer()` Deprecated. Whether or not the type is `TraversalEngine.Type.COMPUTER`.
    `default boolean` | `isStandard()` Deprecated. Whether or not the type is `TraversalEngine.Type.STANDARD`.

- - ### Method Detail

    - #### getType

          TraversalEngine.Type getType()

      Deprecated.
      Get the type of the engine: `TraversalEngine.Type.STANDARD` or `TraversalEngine.Type.COMPUTER`.
      Returns:
        the traversal engine type

    - #### getGraphComputer

          Optional<GraphComputer> getGraphComputer()

      Deprecated.
      If the traversal engine is of type `TraversalEngine.Type.COMPUTER`, then it should have the `GraphComputer` used for executing the traversal.
      Returns:
        an optional of containing the graph computer to be used for execution.

    - #### isStandard

          default boolean isStandard()

      Deprecated.
      Whether or not the type is `TraversalEngine.Type.STANDARD`.
      Returns:
        whether the engine type is standard (OLTP).

    - #### isComputer

          default boolean isComputer()

      Deprecated.
      Whether or not the type is `TraversalEngine.Type.COMPUTER`.
      Returns:
        whether the engine type is computer (OLAP).

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.